IPCMK(1)

NAZWA
ipcmk - tworzy różne zasoby IPC

SKŁADNIA

ipcmk [opcje]

OPIS

ipcmk allows you to create System V inter-process communication (IPC) objects: shared memory segments, message queues, and semaphore arrays.

OPCJE

Zasoby mogą być określane z następującymi opcjami:

-M, --shmem rozmiar
    Tworzy segment pamięci dzielonej o rozmiarze bajtów. Po argument rozmiar mogą występować przyrostki zwielokrotniające: KiB (=1024), MiB (=1024*1024), GiB itd. (cząstka "iB" jest opcjonalna, tzn. np. "K" znaczy to samo co "KiB") lub przyrostki KB (=1000), MB (=1000*1000), GB itd.

-Q, --queue
    Tworzy kolejkę komunikatów.

-S, --semaphore liczba
    Tworzy tablicę semaforów zawierająca liczbę elementów.

Inne opcje:

-p, --mode tryb
    Uprawnienia dostępu do zasobu. Domyślnie 0644.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

AUTORZY

ZOBACZ TAKŻE

ipcrm(1), ipcs(1), sysvipc(7)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The ipcmk command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.